Subject: [bug#44275] [PATCH] gnu: Add python-pydub.

From: Tanguy Le Carrour <[email-masked]>
Date: Thu, 29 Oct 2020 15:39:08 +0100

Le 10/29, Leo Famulari a écrit :
> On Thu, Oct 29, 2020 at 09:26:57AM +0100, Tanguy Le Carrour wrote:
> > […]
> > > It would be good if store references to these programs could be "baked in" to
> > > the pydub code, rather than propagated. Can you take a look at how they
> > > are called and see if that is feasible? Often there is only one location
> > > that must be patched.
> > […]
> > `python-scipy` is a different problem, though. This module is not listed
> > as a requirement, but… it's required at run time. Event if I don't see the
> > point of having SciPy loaded when you want to manipulate audio. But that's
> > a different matter!
> 
> Okay, I will take a look at the scipy thing today.

Great, thanks!

If it was up to me, I would remove altogether everything that is
related to `scipy`, meaning the `pydub/scipy_effects.py` file. But it
wouldn't be the same software any more, would it? ^_^'

Regards,

-- 
Tanguy